left-caret
Insights

benefits bulletin

OneAmerica Security Updates

July 13, 2017

By Megan Gaiser, Benefits Analyst

OneAmerica Retirement Services has updated their website to provide a higher level of security for the Firm’s 401(k) accounts.  

As of August 23, 2017 participants will no longer have access to

through outdated web browsers.  Users who attempt to login to their accounts using an unsupported browser will see a ‘Web page cannot be displayed’ screen.  Participants will receive an alert on their quarterly statement as well as a notification upon login before August 23.

“OneAmerica currently develops and tests against Chrome 53+, Firefox 48+, Internet Explorer 11 or Safari 9+.  Using a browser outside of the recommended browsers may result in issues with site functionality and page rendering.  We recommend keeping browser versions updated not only to improve functionality, but security as well.”
- OneAmerica site (Security & Browser Requirements)